Debian Bug report logs - #523649
console-setup: vc switching not working for vt24

version graph

Package: console-setup; Maintainer for console-setup is Debian Install System Team <debian-boot@lists.debian.org>; Source for console-setup is src:console-setup.

Reported by: R E Riding <reriding@xmission.com>

Date: Sat, 11 Apr 2009 16:36:02 UTC

Severity: normal

Found in version console-setup/1.30

Fixed in version console-setup/1.31

Done: Anton Zinoviev <zinoviev@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#523649; Package console-setup. (Sat, 11 Apr 2009 16:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to R E Riding <reriding@xmission.com>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 11 Apr 2009 16:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: R E Riding <reriding@xmission.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: console-setup: vc switching not working for vt24
Date: Sat, 11 Apr 2009 10:33:07 -0600
Package: console-setup
Version: 1.30
Severity: normal


I prefer to run X on vc24, making AltGr-F12 the hotkey combination
used to switching from console to X.  I have tried various configurations
of /etc/default/console-setup to try to regain this functionality without
success.  Please advise me how to configure console-setup to allow this
to work. 

Perhaps the answer is just to remove console-setup and use the old ways?

Thanks.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.28.9 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages console-setup depends on:
ii  console-terminus              4.26-2.1   Fixed-width fonts for fast reading
ii  debconf [debconf-2.0]         1.5.26     Debian configuration management sy
ii  xkb-data                      1.5-2      X Keyboard Extension (XKB) configu

Versions of packages console-setup recommends:
ii  console-tools            1:0.2.3dbs-65.1 Linux console and font utilities

Versions of packages console-setup suggests:
ii  locales                       2.9-7      GNU C Library: National Language (
ii  lsb-base                      3.2-22     Linux Standard Base 3.2 init scrip

-- debconf information:
* console-setup/variant: USA
  console-setup/unsupported_options: true
* console-setup/fontsize-text: 16
* console-setup/compose: No compose key
  console-setup/modelcode: thinkpad60
  console-setup/switch: No temporary switch
  console-setup/unsupported_config_layout: true
  console-setup/fontsize: 16
  console-setup/unsupported_layout: true
* console-setup/charmap: UTF-8
  console-setup/layoutcode: us
  console-setup/optionscode: lv3:ralt_switch
  debian-installer/console-setup/title:
  console-setup/unsupported_config_options: true
* console-setup/layout: USA
  console-setup/variantcode:
  console-setup/codesetcode: Lat15
* console-setup/altgr: Right Alt
* console-setup/ttys: /dev/tty[1-8]
* console-setup/model: IBM ThinkPad R60/T60/Z60m/Z60t/R61/T61/Z61m/Z61t
* console-setup/fontsize-fb: 16
* console-setup/codeset: # Latin1 and Latin5 - western Europe and Turkic languages
  console-setup/toggle: No toggling
* console-setup/fontface: TerminusBoldVGA




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#523649; Package console-setup. (Sat, 11 Apr 2009 19:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert E Riding <reriding@xmission.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 11 Apr 2009 19:33:03 GMT) Full text and rfc822 format available.

Message #10 received at 523649@bugs.debian.org (full text, mbox):

From: Robert E Riding <reriding@xmission.com>
To: 523649@bugs.debian.org
Subject: Further thoughts
Date: Sat, 11 Apr 2009 13:31:11 -0600
It seems that AltGr is not working in X either, along with some other
key combinations (Ctl-Alt-Backspace, for instance) which suggests that
this problem is not so much related to console-setup.  Please downgrade
this bug report to perhaps even wishlist status or close as appropriate.
-- 
Bert Riding       
reriding@xmission.com   
gnupg fingerprint:
C0F6 E202 EFB3 F332 CAB0  85D4 A113 9F46 3C93 5A6E




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#523649; Package console-setup. (Sat, 11 Apr 2009 20:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Zinoviev <anton@lml.bas.bg>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 11 Apr 2009 20:33:02 GMT) Full text and rfc822 format available.

Message #15 received at 523649@bugs.debian.org (full text, mbox):

From: Anton Zinoviev <anton@lml.bas.bg>
To: R E Riding <reriding@xmission.com>, 523649@bugs.debian.org
Subject: Re: Bug#523649: console-setup: vc switching not working for vt24
Date: Sat, 11 Apr 2009 23:31:50 +0300
On Sat, Apr 11, 2009 at 10:33:07AM -0600, R E Riding wrote:
> 
> I prefer to run X on vc24, making AltGr-F12 the hotkey combination
> used to switching from console to X.

X Window has keysyms for console switch only for consoles 1..12.  
Because of this the key combinations need to be hardcoded in ckbcomp 
rather than read from xkb keyboard layout definitions.

Currently console-setup maps AltGr-F12 to F52.  Currently the keys are 
mapped the following way:

Alt+F2 = Control+Alt+F2 -> Console_2
Alt+F12 = Control+Alt+F12 -> Console_12
Alt+Shift+F2 = Control+Alt+Shift+F2 -> Console_12
Alt+Shift+F12 = Control+Alt+Shift+F12 -> Console_22

Shift+F2 -> F12
Control+F2 -> F22
Control+Shift+F2 -> F32
AltGr+F2 -> F42
AltGr+Shift+F2 -> F52
AltGr+Control+F2 -> F62
AltGr+Control+Shift+F2 -> F72

No key combination is mapped to Console_24.  Do you think that the 
following change will be the proper fix of the bug you reported:

(the following are from defkeymap.kmap and linux-keys-extd.inc)
Shift+F2 -> F14
Shift+F12 -> F24
Control+F2 -> F26
Control+F12 -> F36
Control+Shift+F2 -> F38
Control+Shift+F12 -> F48
Alt+F2 = Control+Alt+F2 -> Console_2
Alt+F12 = Control+Alt+F12 -> Console_12
Alt+Shift+F2 = Control+Alt+Shift+F2 -> Console_14
Alt+Shift+F12 = Control+Alt+Shift+F12 -> Console_24
(the following are not entirely standard as not all keymaps have altgr)
AltGr+F2 = Control+AltGr+F2 -> Console_14
AltGr+F12 = Control+AltGr+F12 -> Console_24
AltGr+Shift+F2 = Control+AltGr+Shift+F2 -> Console_26
AltGr+Shift+F12 = Control+AltGr+Shift+F12 -> Console_36

> I have tried various configurations of /etc/default/console-setup to 
> try to regain this functionality without success.  Please advise me 
> how to configure console-setup to allow this to work.

Currently this is impossible but I am prepared to make an upload of 
console-setup that fixes this bug as soon as we agree on the key 
combinations.

Anton Zinoviev




Reply sent to Anton Zinoviev <zinoviev@debian.org>:
You have taken responsibility. (Sun, 12 Apr 2009 15:36:07 GMT) Full text and rfc822 format available.

Notification sent to R E Riding <reriding@xmission.com>:
Bug acknowledged by developer. (Sun, 12 Apr 2009 15:36:07 GMT) Full text and rfc822 format available.

Message #20 received at 523649-close@bugs.debian.org (full text, mbox):

From: Anton Zinoviev <zinoviev@debian.org>
To: 523649-close@bugs.debian.org
Subject: Bug#523649: fixed in console-setup 1.31
Date: Sun, 12 Apr 2009 15:02:10 +0000
Source: console-setup
Source-Version: 1.31

We believe that the bug you reported is fixed in the latest version of
console-setup, which is due to be installed in the Debian FTP archive:

bdf2psf_1.31_all.deb
  to pool/main/c/console-setup/bdf2psf_1.31_all.deb
console-setup-amiga-ekmap_1.31_all.udeb
  to pool/main/c/console-setup/console-setup-amiga-ekmap_1.31_all.udeb
console-setup-ataritt-ekmap_1.31_all.udeb
  to pool/main/c/console-setup/console-setup-ataritt-ekmap_1.31_all.udeb
console-setup-fonts-udeb_1.31_all.udeb
  to pool/main/c/console-setup/console-setup-fonts-udeb_1.31_all.udeb
console-setup-macintoshold-ekmap_1.31_all.udeb
  to pool/main/c/console-setup/console-setup-macintoshold-ekmap_1.31_all.udeb
console-setup-mini_1.31_all.deb
  to pool/main/c/console-setup/console-setup-mini_1.31_all.deb
console-setup-pc-ekmap_1.31_all.udeb
  to pool/main/c/console-setup/console-setup-pc-ekmap_1.31_all.udeb
console-setup-sun4-ekmap_1.31_all.udeb
  to pool/main/c/console-setup/console-setup-sun4-ekmap_1.31_all.udeb
console-setup-sun5-ekmap_1.31_all.udeb
  to pool/main/c/console-setup/console-setup-sun5-ekmap_1.31_all.udeb
console-setup-udeb_1.31_all.udeb
  to pool/main/c/console-setup/console-setup-udeb_1.31_all.udeb
console-setup_1.31.dsc
  to pool/main/c/console-setup/console-setup_1.31.dsc
console-setup_1.31.tar.gz
  to pool/main/c/console-setup/console-setup_1.31.tar.gz
console-setup_1.31_all.deb
  to pool/main/c/console-setup/console-setup_1.31_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 523649@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Anton Zinoviev <zinoviev@debian.org> (supplier of updated console-setup package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 12 Apr 2009 16:51:46 +0300
Source: console-setup
Binary: console-setup console-setup-mini bdf2psf console-setup-udeb console-setup-amiga-ekmap console-setup-ataritt-ekmap console-setup-macintoshold-ekmap console-setup-pc-ekmap console-setup-sun4-ekmap console-setup-sun5-ekmap console-setup-fonts-udeb
Architecture: source all
Version: 1.31
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Anton Zinoviev <zinoviev@debian.org>
Description: 
 bdf2psf    - font converter to generate console fonts from BDF source fonts
 console-setup - console font and keymap setup program
 console-setup-amiga-ekmap - encoded keyboard layouts for Amiga keyboards (udeb)
 console-setup-ataritt-ekmap - encoded keyboard layouts for Atari TT keyboards (udeb)
 console-setup-fonts-udeb - console fonts for Debian Installer (udeb)
 console-setup-macintoshold-ekmap - encoded keyboard layouts for old-style Macintosh keyboards (udeb)
 console-setup-mini - console font and keymap setup program - reduced version
 console-setup-pc-ekmap - encoded keyboard layouts for PC keyboards (udeb)
 console-setup-sun4-ekmap - encoded keyboard layouts for Sun4 keyboards (udeb)
 console-setup-sun5-ekmap - encoded keyboard layouts for Sun5 keyboards (udeb)
 console-setup-udeb - Configure the keyboard (udeb)
Closes: 521224 521660 521806 522107 522305 522404 522534 523487 523559 523649
Changes: 
 console-setup (1.31) unstable; urgency=low
 .
   [ Debconf translations ]
   * French corrections (thanks to Florentin Duneau)
   * Portuguese. Closes: #521224
   * Czech. Closes: #521660
   * German. Closes: #522107
   * Russian. Closes: #522305
   * Brazilian Portuguese. Closes: #522404
   * Spanish. Closes: #521806
   * Thai. Closes: #522534
 .
   [ Frans Pop ]
   * Change default keyboard layout for Netherlands (NL) to us as the Dutch
     keyboard layout is only rarely used. This is in line with the existing
     default in console-data.
 .
   [ Anton Zinoviev ]
   * Do not combine ctrll with plain when the layout contains unresolved
     NoSymbol.  Thanks to Steve Cotton, closes: #523559.
   * Recognize 'Option "XkbLayout" "layout(variant)" in xorg.conf.  Thanks
     to Josselin Mouette, closes: #523487.
   * Use the same mappings for (Alt\+|Control\+|AltGr\+|Shift\+)*F[0-9]+ as
     defkeymap.kmap and linux-keys-extd.inc.  Thanks to Bert Riding,
     closes: #523649.
Checksums-Sha1: 
 e14ee2347bd312f18608545abd9cf0ea0e1519a6 1209 console-setup_1.31.dsc
 aa600f270e4e6a87dddbd3aaee2576a1515c11d3 2299197 console-setup_1.31.tar.gz
 ad2155d6bbf9345b64cc95fd1c5e9acf95432a40 474480 console-setup_1.31_all.deb
 c0c9504a70c807b689e5a3fb828d7399b76f65ce 695738 console-setup-mini_1.31_all.deb
 98cf94f20b96a80e9017786304e54e58b4b07a84 37910 bdf2psf_1.31_all.deb
 ba535601927a9cbbee4a356d54ebecece25945a2 62028 console-setup-udeb_1.31_all.udeb
 82cbad255d65f4492ac57644dec13385e5bc5cc8 97846 console-setup-amiga-ekmap_1.31_all.udeb
 b225ce51e430985a10c21b012cc68d403891be8e 96902 console-setup-ataritt-ekmap_1.31_all.udeb
 70a55c7f102d2c13f57d76fb993b3af93a7255e9 76774 console-setup-macintoshold-ekmap_1.31_all.udeb
 3716f2b9c0c61df0dd5c6eaea7479c8f2be19e98 98520 console-setup-pc-ekmap_1.31_all.udeb
 07e485c5ad606e254a90fd71ba1e339aa520849a 98154 console-setup-sun4-ekmap_1.31_all.udeb
 b8d64495b2c2c1357cb4a7bf00e413c27a89d9a4 98408 console-setup-sun5-ekmap_1.31_all.udeb
 f63e98be51aefd23eff1b066f9e941bf174c86f3 51678 console-setup-fonts-udeb_1.31_all.udeb
Checksums-Sha256: 
 8304bd24e7d7db770c92542a0d87d126d493fc20cdbb28657ba3e4e8bb8fce2b 1209 console-setup_1.31.dsc
 2ab396bd4c9916e5ba26aa905bda541e7a0fb4956d6009aa943d7415c1d53799 2299197 console-setup_1.31.tar.gz
 b0b993499f63c3ee2c45cbed8c9cea6e89c5b816e130a52d1c95ef6eeabd8f94 474480 console-setup_1.31_all.deb
 3cfd8abf773fb12943463776e3d0e00e2e28bfbb55dcf851630e4f6e1d2f2975 695738 console-setup-mini_1.31_all.deb
 f7242b56feae000e058e9985d7a1b5962e017a15350b0ec82c608faab8b14d56 37910 bdf2psf_1.31_all.deb
 74501c2ab980c81e755b5c5fefb04fcb43ca29d40f0f0c8ea5e57367b7593b82 62028 console-setup-udeb_1.31_all.udeb
 e44e023666e64739101a5e4d68d721f06b9e3a89ed0b1137af5ca9fde59825a9 97846 console-setup-amiga-ekmap_1.31_all.udeb
 7035dec6c0b012b97dc096697059a4c2a85bd77d2b9f61843ec0e839bcc07238 96902 console-setup-ataritt-ekmap_1.31_all.udeb
 220c08eacdd8a81c6f715e4aa0eb80c77fb349e4cb5ee578e2ea3175af281fb7 76774 console-setup-macintoshold-ekmap_1.31_all.udeb
 7e24a1e14bf90ead255ecc7506e124d0650d40f6e60f53f253e7e9006ae9a01b 98520 console-setup-pc-ekmap_1.31_all.udeb
 37f2b2c76f15721d8e21dd43852e662e0aad1118d16bb8ffd5c89e4236e597b4 98154 console-setup-sun4-ekmap_1.31_all.udeb
 83fe6a2d6d0e0098ef28a3413f25b5a369f29046d801be54d00bea0fcf95cf7e 98408 console-setup-sun5-ekmap_1.31_all.udeb
 a96e7c666d4d44d0da1646c8b2b313bcccfc74a1bca5928432f18aeade6e0230 51678 console-setup-fonts-udeb_1.31_all.udeb
Files: 
 994f447c07be8e16c3dc72ba1b7cc5ac 1209 utils optional console-setup_1.31.dsc
 e59d253d0f41151f759333d19252258f 2299197 utils optional console-setup_1.31.tar.gz
 5b785671f26eff687c82e08f1931e53c 474480 utils optional console-setup_1.31_all.deb
 ca9f5f56db23f3ede30561c2d20261a1 695738 utils extra console-setup-mini_1.31_all.deb
 6ec9968db445d12decfa4028d6072eee 37910 utils optional bdf2psf_1.31_all.deb
 d5045998338ec2002356a5576fa7af48 62028 debian-installer extra console-setup-udeb_1.31_all.udeb
 5c9f3e2c9eb6460ca5b5699299f4f318 97846 debian-installer extra console-setup-amiga-ekmap_1.31_all.udeb
 721f956504f3c66b48a42f06028a4af8 96902 debian-installer extra console-setup-ataritt-ekmap_1.31_all.udeb
 33aca2d001e7e9e897a11d81c3616c7d 76774 debian-installer extra console-setup-macintoshold-ekmap_1.31_all.udeb
 43e11edaf887eb7081db7613276bbc89 98520 debian-installer extra console-setup-pc-ekmap_1.31_all.udeb
 3cbf71a71c8056a5f37e082e5c089cbd 98154 debian-installer extra console-setup-sun4-ekmap_1.31_all.udeb
 6a5cc14e48258fc2060612b5a95c6b78 98408 debian-installer extra console-setup-sun5-ekmap_1.31_all.udeb
 2b9958d0794f9425d135c5914ab6e090 51678 debian-installer extra console-setup-fonts-udeb_1.31_all.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFJ4f1PJP1eZJv0KwcRAjUtAJ0VjA4AgoDFrkQzY9OSzpfAe521OgCgg0Ze
2z9TU78iILvkTFMGipj5FtE=
=GBE5
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 11 May 2009 07:29:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:00:50 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.